%define name monodevelop
%define version  2.8.2
%define release  %mkrel 1
%define gtksharp 1.9.5
%define monodoc  1.0
%define pkgconfigdir %_datadir/pkgconfig

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://download.mono-project.com/sources/monodevelop/%{name}-%{version}.tar.bz2
Patch: monodevelop-1.9.2-libxul.patch
URL: http://www.monodevelop.com/
License: LGPLv2
Group: Development/Other
#Requires: gtksourceview-sharp >= %gtksourceview
Requires: gnome-sharp2 >= %gtksharp
Requires: glade-sharp2 >= %gtksharp
Requires: monodoc >= %monodoc
Requires: shared-mime-info
Requires: libxulrunner 
Requires: xterm
Requires: subversion
BuildRequires: pkgconfig(gconf-sharp-2.0) >= 2.12.8
BuildRequires: pkgconfig(glade-sharp-2.0) >= 2.12.8
BuildRequires: pkgconfig(glib-sharp-2.0) >= 2.12.8
BuildRequires: pkgconfig(gnome-sharp-2.0) >= 2.12.8
BuildRequires: pkgconfig(gnome-vfs-sharp-2.0) >= 2.12.8
BuildRequires: pkgconfig(gtk-sharp-2.0) >= 2.12.8
BuildRequires: pkgconfig(mono-addins) >= 0.6
BuildRequires: pkgconfig(mono-addins-gui) >= 0.6
BuildRequires: pkgconfig(mono-addins-setup) >= 0.6
BuildRequires: pkgconfig(monodoc) >= 1.0
BuildRequires: pkgconfig(mono) >= 2.8
BuildRequires: intltool
BuildRequires: desktop-file-utils
# Obsolete deprecated plugins which are not compatible with MD 2.6
Obsoletes:     monodevelop-boo < 2.6
Obsoletes:     monodevelop-debugger-mdb < 2.6

BuildArch: noarch
%define _requires_exceptions ^libg.*\\|lib64g.*\\|libp.*\\|lib64p.*\\|liba.*\\|lib64a.*

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --enable-versioncontrol --enable-aspnet --enable-subversion --enable-aspnetedit --enable-monoextensions --disable-update-mimedb --disable-update-desktopdb 
#--enable-gtksourceview2
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std pkgconfigdir=%pkgconfigdir packagedir=%buildroot%_prefix/lib/monodevelop/AddIns/AspNetEdit MOZILLA_HOME=%buildroot%_prefix/lib/firefox-%mozver/

desktop-file-install --dir %buildroot%_datadir/applications \
	%buildroot%_datadir/applications/*.desktop

%find_lang %name

#gw replace bundled nunit by symlinks:
cd %buildroot%_prefix/lib/monodevelop/AddIns/NUnit
for x in nunit.*.dll; do
    ln -sf %_prefix/lib/mono/2.0/$x .
done

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/mdtool
%{_bindir}/monodevelop
%{_prefix}/lib/monodevelop
%_mandir/man1/mdtool.1*
%_mandir/man1/monodevelop.1*
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%_datadir/icons/hicolor/*/apps/monodevelop.*
%pkgconfigdir/monodevelop.pc
%pkgconfigdir/monodevelop-core-addins.pc

%clean
rm -rf $RPM_BUILD_ROOT




%changelog

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga1
+ Revision: 162414
- Added monodevelop 2.8.2 to mageia 1

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga2
+ Revision: 162084
- new version 2.8.2

* Thu Nov 03 2011 anaselli <anaselli> 2.8.1-2.mga2
+ Revision: 161910
- Obsolete deprecated plugins which are not compatible with MD 2.6

* Thu Oct 13 2011 fwang <fwang> 2.8.1-1.mga2
+ Revision: 154194
- new version 2.8.1

* Sat Sep 17 2011 fwang <fwang> 2.6.0.1-1.mga2
+ Revision: 144570
- fix desktop file
- new version 2.6.0.1

* Thu Jun 16 2011 stblack <stblack> 2.4.2-1.mga2
+ Revision: 108226
- imported package monodevelop

